Skip to main content
POST
Org usage breakdown

Authorizations

x-org-api-key
string
header
default:your-organization-api-key
required

Your Composio organization API key for organization-scoped endpoints.

Path Parameters

entity_type
string
required

Metering entity type to break down (e.g. tool_calls, sessions).

Body

application/json
from
number

Inclusive range start (Unix epoch milliseconds). Defaults to 30 days before to.

to
number

Exclusive range end (Unix epoch milliseconds). Defaults to now.

group_by
string

Dimension or column to group results by. Defaults to tool_slug for tool_calls and user_id for sessions.

order_by
enum<string>

Field to order groups by. Defaults to total_quantity.

Available options:
key,
total_quantity,
event_count
order_direction
enum<string>

Sort direction. Defaults to desc.

Available options:
asc,
desc
limit
integer

Maximum number of groups to return. Defaults to 100, max 1000.

Required range: 1 <= x <= 1000
filters
object

Response

Usage breakdown for the organization.

entity_type
string
required
unit
string
required
total_quantity
string
required
event_count
integer
required
Required range: x >= 0
groups
object[]
required